# $Revision: 1.21 $, $Date: 2008/11/15 07:40:15 $
#
# Conditional build:
%bcond_with	x86emu	# x86emu instead of LRMI/vm86
%bcond_with	klibc	# use klibc for initramfs purposes
#
%ifnarch %{ix86}
%define		with_x86emu	1
%endif
Summary:	uvesafb userspace helper that runs x86 code in an emulated environment
Summary(pl.UTF-8):	Program pomocniczy uvesafb uruchamiający kod x86 w emulowanym środowisku
Name:		v86d
Version:	0.1.9
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://dev.gentoo.org/~spock/projects/uvesafb/archive/%{name}-%{version}.tar.bz2
# Source0-md5:	ebbbc8e7013c9544b6ba6981add43831
Source1:	%{name}-uvesafb.conf
Patch0:		%{name}-system-klibc.patch
Patch1:		%{name}-system-libs.patch
Patch2:		%{name}-klibc-ldflags.patch
URL:		http://dev.gentoo.org/~spock/projects/uvesafb/
BuildRequires:	linux-libc-headers >= 7:2.6.24
%if %{with klibc}
BuildRequires:	klibc-static >= 1.5.8-1
%if %{with x86emu}
BuildRequires:	x86emu-devel(klibc)
%endif
%else
%if %{with x86emu}
BuildRequires:	x86emu-devel
%else
BuildRequires:	lrmi-devel >= 0.10-4
%endif
%endif
%if %{without x86emu}
Requires:	lrmi >= 0.10-4
%endif
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
v86d is the userspace helper that runs x86 code in an emulated
environment, used by uvesafb Linux kernel driver. Currently it
supports the x86 and x86-64 architectures.

%description -l pl.UTF-8
v86d to działający w przestrzeni użytkownika program pomocniczy
uruchamiający kod x86. Jest wykorzystywany przez sterownik jądra
Linuksa uvesafb. Obecnie obsługuje architektury x86 i x86-64.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i 's:-g -O2:$(OPTFLAGS):' Makefile
%patch2 -p1

%build
# not ac
./configure \
	--with%{!?with_klibc:out}-klibc \
	--with%{!?with_x86emu:out}-x86emu

%{__make} \
%if %{with klibc}
	LIB=%{_lib} \
%else
	CC="%{__cc}" \
%endif
	OPTFLAGS="%{rpmcflags}%{!?with_x86emu: -I/usr/include/lrmi}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/modprobe.d}

install %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/modprobe.d/uvesafb.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/v86d
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/uvesafb.conf

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: v86d.spec,v $
Revision 1.21  2008/11/15 07:40:15  qboosh
- updated klibc-ldflags patch not to break on multilib systems

Revision 1.20  2008/11/13 23:14:03  mguevara
- v86d-klibc-ldflags.patch works with x86 (ie. build with klibc and x86emu)
  removed ifarch x86_64 for the patch

Revision 1.19  2008/11/13 21:15:04  mguevara
- rel 2; added v86d-klibc-ldflags.patch; when build with klibc (on x86_64)
  it BR x86emu-devel(klibc) - works ok on x86_64 initramfs initrd

Revision 1.18  2008/11/01 10:27:55  qboosh
- require lrmi 0.10-4

Revision 1.17  2008/10/18 23:36:42  arvenil
- added modprobe config file for uvesafb

Revision 1.16  2008/10/18 22:29:48  arvenil
- up to 0.1.9
- patch -gcc4.patch already in sources

Revision 1.15  2008/10/18 15:49:58  megabajt
- release 2

Revision 1.14  2008/09/18 19:54:25  pluto
- ppc variant doesn't build.

Revision 1.13  2008/09/18 19:50:29  pluto
- x86emu builds on ppc, so v86d should also...

Revision 1.12  2008/09/18 18:37:55  pluto
- fix 64-bits printfs (sent to author).

Revision 1.11  2008/09/18 17:48:13  qboosh
- require updated lrmi to make changelog true

Revision 1.10  2008/09/18 11:08:12  pluto
- updated to 0.1.7:
  # Map the VRAM and Video ROM/System ROM seperately in lrmi
    (should fix PaX/NX-related problems).
  # Map 0xe0000-0xfffff instead of 0xf0000-0xfffff.

Revision 1.9  2008/08/16 19:18:07  qboosh
- proper condition for lrmi R

Revision 1.8  2008/07/30 16:55:44  qboosh
- dropped execheap hack from -system-libs patch, require lrmi 0.10-2 instead

Revision 1.7  2008/07/27 08:37:10  adamg
- updated to 0.1.6

Revision 1.6  2008/07/21 17:20:26  qboosh
- system-libs patch is back (Makefile uses local lrmi and static glibc otherwise)

Revision 1.5  2008/07/21 13:01:01  adamg
- updated to 0.1.5.2

Revision 1.4  2008/05/26 18:49:07  adamg
- updated to 0.1.5
- install v86d in /sbin (thinko/todo done)
- drop misc/initramfs layout (how to use it anyway?)

Revision 1.3  2008-04-15 01:50:47  glen
- paths mismatch

Revision 1.2  2008-03-20 11:09:24  pluto
- bcond klibc added, initramfs fixed and packaged.

Revision 1.1  2008-01-26 20:18:31  qboosh
- new
